diff --git a/x11-clocks/kteatime/distinfo b/x11-clocks/kteatime/distinfo
index 010a9accf2cc..23c27370d9df 100644
--- a/x11-clocks/kteatime/distinfo
+++ b/x11-clocks/kteatime/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889362
-SHA256 (KDE/release-service/23.08.5/kteatime-23.08.5.tar.xz) = 4e855767dd50d09a394f249a97417ba35ed4754b4cc0597a96f9256b291cc2e6
-SIZE (KDE/release-service/23.08.5/kteatime-23.08.5.tar.xz) = 315528
+TIMESTAMP = 1734460389
+SHA256 (KDE/release-service/24.12.0/kteatime-24.12.0.tar.xz) = eb77c1ab028cc728f185a802d71ccd6d0c4b7b50161f9a435fb7316f7977edc1
+SIZE (KDE/release-service/24.12.0/kteatime-24.12.0.tar.xz) = 310268
diff --git a/x11-clocks/kteatime/pkg-plist b/x11-clocks/kteatime/pkg-plist
index 67d9e1d18c8f..1fa1d67e1caf 100644
--- a/x11-clocks/kteatime/pkg-plist
+++ b/x11-clocks/kteatime/pkg-plist
@@ -6,9 +6,10 @@ share/icons/hicolor/32x32/apps/kteatime.png
 share/icons/hicolor/48x48/apps/kteatime.png
 share/icons/hicolor/64x64/apps/kteatime.png
 share/icons/hicolor/scalable/apps/kteatime.svgz
-share/knotifications5/kteatime.notifyrc
+share/knotifications6/kteatime.notifyrc
 share/locale/af/LC_MESSAGES/kteatime.mo
 share/locale/ar/LC_MESSAGES/kteatime.mo
+share/locale/ast/LC_MESSAGES/kteatime.mo
 share/locale/be/LC_MESSAGES/kteatime.mo
 share/locale/bg/LC_MESSAGES/kteatime.mo
 share/locale/bn/LC_MESSAGES/kteatime.mo
diff --git a/x11-clocks/ktimer/Makefile b/x11-clocks/ktimer/Makefile
index 5605d3cfcaae..492dfa13cc9b 100644
--- a/x11-clocks/ktimer/Makefile
+++ b/x11-clocks/ktimer/Makefile
@@ -6,13 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Countdown launcher for KDE
 WWW=		https://utils.kde.org/projects/ktimer/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
 		dbusaddons doctools i18n iconthemes jobwidgets kio \
-		notifications service solid widgetsaddons windowsystem xmlgui \
+		notifications service solid statusnotifieritem widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/x11-clocks/ktimer/distinfo b/x11-clocks/ktimer/distinfo
index 3dfa7a0e9672..a0b9db329a6c 100644
--- a/x11-clocks/ktimer/distinfo
+++ b/x11-clocks/ktimer/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889361
-SHA256 (KDE/release-service/23.08.5/ktimer-23.08.5.tar.xz) = 55fa5416f9ad9f1da9db636181c1c1ef6e20e9a9bc040c88431ca849e05fdd16
-SIZE (KDE/release-service/23.08.5/ktimer-23.08.5.tar.xz) = 406472
+TIMESTAMP = 1734460391
+SHA256 (KDE/release-service/24.12.0/ktimer-24.12.0.tar.xz) = 2358d1de51add41f617078e59be67f49b714a0329d1bb13a32b066ace3914bff
+SIZE (KDE/release-service/24.12.0/ktimer-24.12.0.tar.xz) = 453188
diff --git a/x11-clocks/ktimer/pkg-plist b/x11-clocks/ktimer/pkg-plist
index 4f3b5b6b8b7d..657679ae3954 100644
--- a/x11-clocks/ktimer/pkg-plist
+++ b/x11-clocks/ktimer/pkg-plist
@@ -6,6 +6,7 @@ share/icons/hicolor/32x32/apps/ktimer.png
 share/icons/hicolor/48x48/apps/ktimer.png
 share/locale/af/LC_MESSAGES/ktimer.mo
 share/locale/ar/LC_MESSAGES/ktimer.mo
+share/locale/ast/LC_MESSAGES/ktimer.mo
 share/locale/be/LC_MESSAGES/ktimer.mo
 share/locale/bg/LC_MESSAGES/ktimer.mo
 share/locale/br/LC_MESSAGES/ktimer.mo
diff --git a/x11-fm/Makefile b/x11-fm/Makefile
index e38bf2e778d1..bf5673d9daf9 100644
--- a/x11-fm/Makefile
+++ b/x11-fm/Makefile
@@ -5,7 +5,6 @@
     SUBDIR += catseye-fm
     SUBDIR += deforaos-browser
     SUBDIR += dolphin
-    SUBDIR += dolphin-devel
     SUBDIR += doublecmd
     SUBDIR += filerunner
     SUBDIR += fsv2
diff --git a/x11-fm/dolphin/Makefile b/x11-fm/dolphin/Makefile
index 8935d0b0688b..58251c010482 100644
--- a/x11-fm/dolphin/Makefile
+++ b/x11-fm/dolphin/Makefile
@@ -9,25 +9,22 @@ WWW=		https://userbase.kde.org/Dolphin
 LICENSE=	LGPL20
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-RUN_DEPENDS=	${QT_PLUGINDIR}/kf5/thumbcreator/ffmpegthumbs.so:multimedia/kdemultimedia-ffmpegthumbs \
-		${QT_PLUGINDIR}/kf5/thumbcreator/gsthumbnail.so:graphics/kdegraphics-thumbnailers \
-		${QT_PLUGINDIR}/kf5/kio/thumbnail.so:devel/kio-extras
+RUN_DEPENDS=	${QT_PLUGINDIR}/kf6/thumbcreator/ffmpegthumbs.so:multimedia/kdemultimedia-ffmpegthumbs \
+		${QT_PLUGINDIR}/kf6/thumbcreator/gsthumbnail.so:graphics/kdegraphics-thumbnailers \
+		${QT_PLUGINDIR}/kf6/kio/thumbnail.so:devel/kio-extras
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:5 qt:5 \
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext kde:6 qt:6 \
 		tar:xz xorg
 USE_KDE=	activities attica auth baloo baloo-widgets bookmarks codecs \
 		completion config configwidgets coreaddons crash dbusaddons \
-		emoticons filemetadata i18n iconthemes init \
-		itemmodels itemviews jobwidgets kcmutils kde-cli-tools \
-		kio newstuff notifications parts phonon service \
-		solid sonnet texteditor textwidgets widgetsaddons \
-		windowsystem xmlgui \
+		itemmodels itemviews jobwidgets kcmutils kde-cli-tools kio \
+		newstuff notifications parts phonon service solid sonnet \
+		texteditor textwidgets widgetsaddons windowsystem xmlgui \
 		doctools:build ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
-SHLIB_VER=	5.0.0
+SHLIB_VER=	6.0.0
 PLIST_SUB+=	SHLIB_VER="${SHLIB_VER}" \
 		SHLIB_SHVER="${SHLIB_VER:R:R}"
 
diff --git a/x11-fm/dolphin/distinfo b/x11-fm/dolphin/distinfo
index 4a63ee86e6d8..79c8fd961b8c 100644
--- a/x11-fm/dolphin/distinfo
+++ b/x11-fm/dolphin/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889320
-SHA256 (KDE/release-service/23.08.5/dolphin-23.08.5.tar.xz) = 6309abda566dfe890f6a3790f101198ed0f274728896054f21e24bdfc3e1f1f3
-SIZE (KDE/release-service/23.08.5/dolphin-23.08.5.tar.xz) = 5770048
+TIMESTAMP = 1734460393
+SHA256 (KDE/release-service/24.12.0/dolphin-24.12.0.tar.xz) = 421f02f9699b609d7e66e0aae9fa1fd735ba0a92a56febe75880ecbeb8dfc513
+SIZE (KDE/release-service/24.12.0/dolphin-24.12.0.tar.xz) = 5692976
diff --git a/x11-fm/dolphin/pkg-plist b/x11-fm/dolphin/pkg-plist
index e9e99874d108..6166a2752a76 100644
--- a/x11-fm/dolphin/pkg-plist
+++ b/x11-fm/dolphin/pkg-plist
@@ -9,14 +9,14 @@ lib/cmake/DolphinVcs/DolphinVcsConfig.cmake
 lib/cmake/DolphinVcs/DolphinVcsConfigVersion.cmake
 lib/cmake/DolphinVcs/DolphinVcsTargets-%%CMAKE_BUILD_TYPE%%.cmake
 lib/cmake/DolphinVcs/DolphinVcsTargets.cmake
+lib/libdolphinprivate.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libdolphinprivate.so.%%SHLIB_SHVER%%
-lib/libdolphinprivate.so.%%SHLIB_VER%%
 lib/libdolphinvcs.so
+lib/libdolphinvcs.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libdolphinvcs.so.%%SHLIB_SHVER%%
-lib/libdolphinvcs.so.%%SHLIB_VER%%
 %%QT_PLUGINDIR%%/dolphin/kcms/kcm_dolphingeneral.so
-%%QT_PLUGINDIR%%/dolphin/kcms/kcm_dolphinnavigation.so
 %%QT_PLUGINDIR%%/dolphin/kcms/kcm_dolphinviewmodes.so
+%%QT_PLUGINDIR%%/kf%%SHLIB_SHVER%%/kfileitemaction/movetonewfolderitemaction.so
 %%QT_PLUGINDIR%%/kf%%SHLIB_SHVER%%/parts/dolphinpart.so
 lib/systemd/user/plasma-dolphin.service
 share/applications/org.kde.dolphin.desktop
@@ -31,11 +31,16 @@ share/config.kcfg/dolphin_versioncontrolsettings.kcfg
 share/dbus-1/interfaces/org.freedesktop.FileManager1.xml
 share/dbus-1/services/org.kde.dolphin.FileManager1.service
 %%DATADIR%%/dolphinpartactions.desktop
+share/icons/hicolor/scalable/apps/org.kde.dolphin.svg
 share/kconf_update/dolphin_detailsmodesettings.upd
+share/kconf_update/dolphin_directorysizemode.py
+share/kconf_update/dolphin_directorysizemode.upd
 share/kglobalaccel/org.kde.dolphin.desktop
 share/knsrcfiles/servicemenu.knsrc
 share/locale/ar/LC_MESSAGES/dolphin.mo
 share/locale/ar/LC_MESSAGES/dolphin_servicemenuinstaller.mo
+share/locale/ast/LC_MESSAGES/dolphin.mo
+share/locale/ast/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/az/LC_MESSAGES/dolphin.mo
 share/locale/az/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/be/LC_MESSAGES/dolphin.mo
@@ -72,7 +77,6 @@ share/locale/eu/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/fa/LC_MESSAGES/dolphin.mo
 share/locale/fi/LC_MESSAGES/dolphin.mo
 share/locale/fi/LC_MESSAGES/dolphin_servicemenuinstaller.mo
-share/locale/fi/LC_SCRIPTS/dolphin/dolphin.js
 share/locale/fr/LC_MESSAGES/dolphin.mo
 share/locale/fr/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/fy/LC_MESSAGES/dolphin.mo
@@ -81,6 +85,7 @@ share/locale/gl/LC_MESSAGES/dolphin.mo
 share/locale/gl/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/gu/LC_MESSAGES/dolphin.mo
 share/locale/he/LC_MESSAGES/dolphin.mo
+share/locale/he/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/hi/LC_MESSAGES/dolphin.mo
 share/locale/hi/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/hne/LC_MESSAGES/dolphin.mo
@@ -175,5 +180,5 @@ share/locale/zh_CN/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/locale/zh_TW/LC_MESSAGES/dolphin.mo
 share/locale/zh_TW/LC_MESSAGES/dolphin_servicemenuinstaller.mo
 share/metainfo/org.kde.dolphin.appdata.xml
-share/qlogging-categories5/dolphin.categories
+share/qlogging-categories%%SHLIB_SHVER%%/dolphin.categories
 share/zsh/site-functions/_dolphin
diff --git a/x11-fm/konqueror/Makefile b/x11-fm/konqueror/Makefile
index d012cd77c9f3..66013a0b1f16 100644
--- a/x11-fm/konqueror/Makefile
+++ b/x11-fm/konqueror/Makefile
@@ -6,19 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE web browser and file manager
 WWW=		https://konqueror.org/
 
-USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:5 \
-		localbase:ldflags pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang cpe desktop-file-utils gettext kde:6 \
+		localbase:ldflags pkgconfig qt:6 tar:xz xorg
 USE_KDE=	activities archive auth bookmarks codecs completion config \
 		configwidgets coreaddons crash dbusaddons guiaddons i18n \
-		iconthemes init itemviews jobwidgets js kcmutils \
-		kdelibs4support kdesu khtml kio notifications parts pty \
-		service solid sonnet textwidgets unitconversion wallet \
-		widgetsaddons windowsystem xmlgui \
+		iconthemes itemviews jobwidgets kcmutils kdesu kio \
+		notifications parts pty service solid sonnet textwidgets \
+		unitconversion wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui location network \
-		printsupport script speech webchannel webengine widgets \
-		x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base webengine
 USE_XORG=	ice sm x11 xext
 
 OPTIONS_DEFINE=	DOCS
diff --git a/x11-fm/konqueror/distinfo b/x11-fm/konqueror/distinfo
index ecf1909c42ac..44489a1feeff 100644
--- a/x11-fm/konqueror/distinfo
+++ b/x11-fm/konqueror/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889321
-SHA256 (KDE/release-service/23.08.5/konqueror-23.08.5.tar.xz) = 84ab449f354bf76582a511a23717671c9c1b94c4199ca955c58914c4bd370cfa
-SIZE (KDE/release-service/23.08.5/konqueror-23.08.5.tar.xz) = 10092644
+TIMESTAMP = 1734460395
+SHA256 (KDE/release-service/24.12.0/konqueror-24.12.0.tar.xz) = b0c8d17b32a558403218819cf1d2feb3a09b06c6a91adc406f88a2c5d2c99e68
+SIZE (KDE/release-service/24.12.0/konqueror-24.12.0.tar.xz) = 9748480
